<?php

namespace Teknisa\SM\Service;

use Teknisa\SM\Factory\SmOperadorDataSoucerFactory;

class SmOperadorDataSoucerService {
    
    protected $operadorFactory;
    
    public function __construct(SmOperadorDataSoucerFactory $operadorFactory) {
        $this->operadorFactory = $operadorFactory;
    }
    /**
     * A função "find" Busca os dados para a tela sem ou com filtro
     */
    public function find($filtros) {
        if(array_key_exists("CDOPERADOR", $filtros)){
            foreach ($filtros["CDOPERADOR"] as &$operador) {
                $operador = "'".$operador."'";
            }
            unset($operador);
            $filtros["CDOPERADOR"] = implode(",", $filtros["CDOPERADOR"]);
        }
        if(array_key_exists("NRPERFILACESSO", $filtros)){
            $filtros["NRPERFILACESSO"] = implode(",", $filtros["NRPERFILACESSO"]);
        }
        if(array_key_exists("NRPARCNEGOCIO", $filtros)){
            $filtros["NRPARCNEGOCIO"] = implode(",", $filtros["NRPARCNEGOCIO"]);
        }
        if(array_key_exists("CDFILIAL", $filtros)){
            $filtros["CDFILIAL"] = implode(",", $filtros["CDFILIAL"]);
        }
        $perfisdeacesso = $this->operadorFactory->find($filtros);
        
        return $perfisdeacesso;
    }
    
    public function salvarOperacaoAcresOuDescont($nrseqdesc, $nrparcnegocio, $nrorg, $cdservorca, $vrpercdesc, $idtipo, $cdoperinclusao, $nrorginclusao, $idativo) {
        
         $params = array(
            "NRSEQDESC" => $nrseqdesc,
            "NRPARCNEGOCIO" => $nrparcnegocio,
            "IDTIPO" => $idtipo,
            "CDSERVORCA" => $cdservorca,
            "VRPERCDESC" => $vrpercdesc,
            "CDOPERINCLUSAO" => $cdoperinclusao,
            "CDOPERULTATU" => null,
            "NRORGINCLUSAO" => $nrorginclusao,
            "NRORGULTATU" => null,
            "IDATIVO" => $idativo,
            "NRORG"          => $nrorg
        );
        
        $this->operadorFactory->salvarOperacaoAcresOuDescont($params);
    }
}
?>

