<?php
namespace Teknisa\Model\Teknisa\Repositories;


use OrganizationsManagement\Util\Utilities;

class Logfasetram extends \Doctrine\ORM\EntityRepository {

    public function findLogFaseTram($nrSoliServiConcat, $cdFaseTram)
    {
        $query = <<<SQL
            SELECT S.NRSOLISERV, TO_CHAR(L.DTALFASETRAM, 'YYYYMMDDHH24MISS') AS DTALFASETRAM
              FROM SOLISERV S
         LEFT JOIN LOGFASETRAM L ON L.NRSOLISERV = S.NRSOLISERV
                                AND L.CDFILIAL   = S.CDFILIAL
                                AND INSTR(:P_CDFASETRAM, L.CDFASETRAM) > 0
             WHERE S.CDFILIAL = :P_CDFILIAL
               AND INSTR(:P_NRSOLISERV, S.NRSOLISERV) > 0
          ORDER BY L.DTALFASETRAM ASC
SQL;

        $params = array(
            'P_NRSOLISERV' => $nrSoliServiConcat,
            'P_CDFASETRAM' => $cdFaseTram,
            'P_CDFILIAL'   => '9999'
        );
        return $this->getEntityManager()->getConnection()->fetchAll($query, $params);
    }
}